package com.inspect.metadata.bdconfig.domain;

import com.inspect.base.core.annotation.Excel;
import com.inspect.base.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class BasedataBdConfigDeviceConvert extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private Long deviceConvertId;
    @Excel(
            name = "主系统编号"
    )
    private String mainSystemCode;
    @Excel(
            name = "主系统名称"
    )
    private String mainSystemName;
    @Excel(
            name = "厂家编号"
    )
    private String manufacturerCode;
    @Excel(
            name = "厂家名称"
    )
    private String manufacturerName;
    @Excel(
            name = "设备ID"
    )
    private Long deviceId;
    @Excel(
            name = "设备编码"
    )
    private String deviceCode;
    @Excel(
            name = "上传原设备编码"
    )
    private String originalDeviceCode;
    private String delFlag;
    @Excel(
            name = ""
    )
    private String deviceName;
    @Excel(
            name = "设备层级"
    )
    private String deviceLevel;

    public void setDeviceConvertId(Long deviceConvertId) {
        this.deviceConvertId = deviceConvertId;
    }

    public Long getDeviceConvertId() {
        return this.deviceConvertId;
    }

    public void setMainSystemCode(String mainSystemCode) {
        this.mainSystemCode = mainSystemCode;
    }

    public String getMainSystemCode() {
        return this.mainSystemCode;
    }

    public void setMainSystemName(String mainSystemName) {
        this.mainSystemName = mainSystemName;
    }

    public String getMainSystemName() {
        return this.mainSystemName;
    }

    public void setManufacturerCode(String manufacturerCode) {
        this.manufacturerCode = manufacturerCode;
    }

    public String getManufacturerCode() {
        return this.manufacturerCode;
    }

    public void setManufacturerName(String manufacturerName) {
        this.manufacturerName = manufacturerName;
    }

    public String getManufacturerName() {
        return this.manufacturerName;
    }

    public void setDeviceId(Long deviceId) {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() {
        return this.deviceId;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() {
        return this.deviceCode;
    }

    public void setOriginalDeviceCode(String originalDeviceCode) {
        this.originalDeviceCode = originalDeviceCode;
    }

    public String getOriginalDeviceCode() {
        return this.originalDeviceCode;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceName() {
        return this.deviceName;
    }

    public void setDeviceLevel(String deviceLevel) {
        this.deviceLevel = deviceLevel;
    }

    public String getDeviceLevel() {
        return this.deviceLevel;
    }

    public String toString() {
        return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("deviceConvertId", this.getDeviceConvertId()).append("mainSystemCode", this.getMainSystemCode()).append("mainSystemName", this.getMainSystemName()).append("manufacturerCode", this.getManufacturerCode()).append("manufacturerName", this.getManufacturerName()).append("deviceId", this.getDeviceId()).append("deviceCode", this.getDeviceCode()).append("originalDeviceCode", this.getOriginalDeviceCode()).append("delFlag", this.getDelFlag()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).append("deviceName", this.getDeviceName()).append("deviceLevel", this.getDeviceLevel()).toString();
    }
}
